---
title: Organization notification JSON filter reference
slug: '1660'
canonical_url: https://docs.coveo.com/en/1660/
collection: manage-an-organization
source_format: adoc
---
# Organization notification JSON filter reference

When creating a configuration on the [**Notifications**](https://platform.cloud.coveo.com/admin/#/orgid/organization/notifications/) ([platform-ca](https://platform-ca.cloud.coveo.com/admin/#/orgid/organization/notifications/) | [platform-eu](https://platform-eu.cloud.coveo.com/admin/#/orgid/organization/notifications/) | [platform-au](https://platform-au.cloud.coveo.com/admin/#/orgid/organization/notifications/)) page, you must provide a JSON configuration indicating which [activities](https://docs.coveo.com/en/173.md) should trigger a notification.

All values must appear between quotation marks (`"`) and be separated by a comma (`,`).

## `Content` object

To apply your [notification](https://docs.coveo.com/en/221.md) to all resources of a specific resource type, leave the `content` object empty.

On the other hand, to apply your notification to one specific resource, write one of the following as the content object:

* For a [source](https://docs.coveo.com/en/246.md), write `sourceId:` followed by the source ID

* For a [query pipeline](https://docs.coveo.com/en/180.md), write `pipelineID:` followed by the pipeline ID

* For an [indexing pipeline extension (IPE)](https://docs.coveo.com/en/206.md), write `sourceID:` followed by the extension ID

> **Notes**
>
> * For each notification, you can't target more than one resource of a specific resource type.
> In other words, the notification can either apply to that one resource, or to all resources of the specific resource type.
>
> * Coveo doesn't support notifications for [Coveo Machine Learning (Coveo ML)](https://docs.coveo.com/en/188.md) [models](https://docs.coveo.com/en/1012.md).

**Example:**

You want to target a certain source.
In such a case, use the `sourceId` property.

With the following configuration, you will be notified of successful refreshes of source `besttechsz5jzmj5-uno7vnbrvgd5fruo5i3rl3cjea`.

```json
{
  "content":{
    "sourceId":"besttechsz5jzmj5-uno7vnbrvgd5fruo5i3rl3cjea"
  },
  "operations":[
    "REFRESH"
  ],
  "resourceTypes":[
    "SOURCE"
  ],
  "resultTypes":[
    "SUCCESS"
  ]
}
```

## `Operations` array

An [activity](https://docs.coveo.com/en/173.md) _operation_ identifies is an action performed on a [resource](https://docs.coveo.com/en/2820.md).

In the `operations` array, enter the operations of which you want to be notified when they apply to the target [resources](#resourcetypes-array).

**Example**

With the following configuration, you receive a notification for any source failing to [update](https://docs.coveo.com/en/2039.md).

```json
{
  "content":{},
  "operations":[
    "REFRESH", "FULL_REFRESH", "REBUILD"
  ],
  "resourceTypes":[
    "SOURCE"
  ],
  "resultTypes":[
    "ERROR"
  ]
}
```
> **Note**
>
> If you try to pass an invalid operation, the Notifications API returns an error code along with a message containing the accepted operations.
> For example:
>
> [.highlight]
> ```text
> errorCode: "INVALID_SUBSCRIPTION"
> message: "A subscription must specify valid 'operations'. The following are invalid : '[myInvalidActivity]'. Accepted operations are: '[REFRESH_CANCEL, CREATE, REFRESH, REFRESH_ENTITY, PAUSE_ON_ERROR, RESUME, CHANGE_ONLINE, PAUSE, BACKUP, IMPORT, DELETE, SYNCHRONIZE, DUPLICATE, SCHEDULE_CREATE, SEARCH_CERTIFICATE_UPDATE, RESIZE, RESTORE, UPDATE, REFRESH_ENTITIES_NOT_UPDATED, DISABLE, CHANGE_READ_ONLY, COMMIT, STOP, REFRESH_ENTITIES_IN_ERROR, FULL_REFRESH, CONFIG_CREATE, INCREMENTAL_REFRESH, ORG_PROVISIONING_CHECK, ENABLE, SCHEDULE_DELETE, SCHEDULE_CHANGE, LIMIT_REACHED, ENABLE_DISABLED_ENTITIES, TEST, IDLE, UPGRADE, START, CONFIG_CHANGE, REBUILD]' or '*' for all values."
> requestID: "6h625j3c-ge34-7352-7d32-sd65dlvoedn3"
> ```
>
> Access this message by opening your web browser developer tools and inspecting the Notification API response.

The following sections list all possible activity operations along with their corresponding name in the [Coveo Administration Console](https://docs.coveo.com/en/183.md) and the activity resource types they're typically performed on.

### `*` (All Operations)

Anything

### `APPLY`

Name in the Administration Console: Apply

`EXTENSION` resource type.

When added to your notifications, you'll be alerted when the execution of an [indexing pipeline extension (IPE)](https://docs.coveo.com/en/206.md) times out.

### `ARCHIVE`

Name in the Administration Console: Archived

Applies to the `MODEL` resource type.

Occurs when a [Coveo Machine Learning (Coveo ML)](https://docs.coveo.com/en/188.md) model is archived.

### `ARCHIVE_WARNING`

Name in the Administration Console: Soon to be archived

Applies to the `MODEL` resource type.

Occurs when the countdown to a model's archival begins.
If the model is not queried within the next 5 days, it will be archived.

### `BACKUP`

Name in the Administration Console: Backup

`ORGANIZATION` resource type.

Organization and [index](https://docs.coveo.com/en/204.md) [backups](https://docs.coveo.com/en/1795.md) are performed every day.
When added to your notifications, you'll be alerted on their status.

### `CHANGE_ONLINE`

Name in the Administration Console: Change online

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted when an online index in the backend is ready to serve queries.

### `CHANGE_READ_ONLY`

Name in the Administration Console: Read/write status switch

`ORGANIZATION` resource type.

When added to your notifications, you'll be alerted when the index status has switched between read/write and read-only mode.

### `COMMIT`

Name in the Administration Console: Commit

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted on the status of items committing to the index.

### `CONFIG_CHANGE`

Name in the Administration Console: Configuration edit

`SECURITY_PROVIDER` and `SOURCE` resource types.

When added to your notifications, you'll be alerted on any change occurring within the configuration.

### `CONFIG_CREATE`

Name in the Administration Console: Initial configuration

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted of the initial configuration of a resource.

### `CREATE`

Name in the Administration Console: Addition

Most resource types.

When added to your notifications, you'll be alerted when a new resource has been added to your organization.

### `DELETE`

Name in the Administration Console: Deletion

Most resource types.

When added to your notifications, you'll be alerted when a resource has been removed from your organization.

### `DISABLE`

Name in the Administration Console: Deactivation

`API_KEY` resource type.

When added to your notifications, you'll be alerted when an API key has been disabled.

### `DUPLICATE`

Name in the Administration Console: Duplication

`ORGANIZATION` resource type.

When added to your notifications, you'll be alerted when a resource has been duplicated.

### `ENABLE`

Name in the Administration Console: Enable

`API_KEY` resource type.

When added to your notifications, you'll be alerted when an API key has been enabled.

### `ENABLE_DISABLED_ENTITIES`

Name in the Administration Console: Enable disabled entities

`SECURITY_CACHE` resource type.

When added to your notifications, you'll be alerted when a security parameter has been re-enabled.

### `FULL_REFRESH`

Name in the Administration Console: Rescan

`SOURCE` resource type.

When added to your notifications, you'll be alerted when a [rescan](https://docs.coveo.com/en/2711.md) has been performed on a source.

### `IDLE`

Name in the Administration Console: Idle

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted when a resource remains idle.

### `IMPORT`

Name in the Administration Console: Import

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted when a CSV file is imported into a [query pipeline](https://docs.coveo.com/en/180.md).

### `INCREMENTAL_REFRESH`

Name in the Administration Console: Refresh

`SOURCE` resource type.

When added to your notifications, you'll be alerted when a source has been [refreshed](https://docs.coveo.com/en/2710.md).

### `LIMIT_REACHED`

Name in the Administration Console: Limit reached

Most resource types.

When added to your notifications, you'll be alerted when a resource has reached its capacity.

### `MODEL_BUILD`

Name in the Administration Console: Build

Applies to the `MODEL` resource type.

Occurs when a [Coveo Machine Learning (Coveo ML)](https://docs.coveo.com/en/188.md) model build is triggered due to a change in the model configuration or the creation of a new model.

### `MODEL_REFRESH`

Name in the Administration Console: Build

Applies to the `MODEL` resource type.

Occurs when a scheduled [Coveo Machine Learning (Coveo ML)](https://docs.coveo.com/en/188.md) model build starts.

### `ORG_PROVISIONING_CHECK`

Name in the Administration Console: Provisioning wait

`SOURCE` resource type.

When added to your notifications, you'll be alerted when the provisioning of a new source is in progress.

### `PAUSE`

Name in the Administration Console: Pause

`SOURCE` resource type.

When added to your notifications, you'll be alerted when a source update is [paused](https://docs.coveo.com/en/3390.md#pause-a-source-update).

### `PAUSE_ON_ERROR`

Name in the Administration Console: Pause on error

`SOURCE` resource type.

When added to your notifications, you'll be alerted when a source update has paused due to an error.

### `REBUILD`

Name in the Administration Console: Initial build

Typically associated with the `SOURCE` resource type.
When added to your notifications, you'll be alerted when a source has been [rebuilt](https://docs.coveo.com/en/2712.md).

### `REFRESH`

Name in the Administration Console: Refresh

`SECURITY_CACHE` and `SECURITY_PROVIDER` resource types.

When added to your notifications, you'll be alerted when a [security cache and provider has been refreshed](https://docs.coveo.com/en/1905.md#review-the-activity-regarding-security-identities).

### `REFRESH_CANCEL`

Name in the Administration Console: Refresh cancellation

`SOURCE` resource type.

When added to your notifications, you'll be alerted when a source refresh has been cancelled.

### `REFRESH_ENTITY`

Name in the Administration Console: Security identity refresh

`SECURITY_PROVIDER` resource type.

When added to your notifications, you'll be alerted when a security cache  and provider has performed an [identity refresh](https://docs.coveo.com/en/1527.md#identity-refresh).

### `REFRESH_ENTITIES_IN_ERROR`

Name in the Administration Console: Refresh

`SECURITY_CACHE` resource type.

When added to your notifications, you'll be alerted when a security cache refresh has found errors.

### `RESIZE`

Name in the Administration Console: Resize

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted when the size of a resource has been modified.

### `RESTORE`

Name in the Administration Console: Restore

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted when a resource has been restored.

### `RESUME`

Name in the Administration Console: Resume

`SOURCE` resource type.

When added to your notifications, you'll be alerted when a source update [resumes](https://docs.coveo.com/en/3390.md#pause-a-source-update).

### `SCHEDULE_CHANGE`

Name in the Administration Console: Schedule edit

`SECURITY_CACHE` and `SOURCE` resource types.

When added to your notifications, you'll be alerted when a security cache update or a source update has been rescheduled.

### `SCHEDULE_CREATE`

Name in the Administration Console: Schedule addition

`SECURITY_CACHE` and `SOURCE` resource types.

When added to your notifications, you'll be alerted when a new update schedule has been added to a security cache update or to a source.

### `SCHEDULE_DELETE`

Name in the Administration Console: Schedule deletion

`SECURITY_CACHE` and `SOURCE` resource types.

When added to your notifications, you'll be alerted when a security cache update or a source has been scheduled for deletion.

### `START`

Name in the Administration Console: Start

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted when the machine that is running the index has started.

### `STOP`

Name in the Administration Console: Stop

Internal Coveo Platform resource types.

When added to your notification, you'll be alerted when the machine that is running the index has stopped.

### `SYNCHRONIZE`

Name in the Administration Console: Synchronization

`FIELD` resource type.

When added to your notifications, you'll be alerted when [fields](https://docs.coveo.com/en/200.md) in an organization have been synced.

### `TEST`

Name in the Administration Console: Test

`EXTENSION` resource type.

When added to your notifications, you'll be alerted when an [IPE is being tested](https://docs.coveo.com/en/67.md).

### `UPDATE`

Name in the Administration Console: Update

Most resource types.

When added to your notifications, you'll be alerted when a resource has been updated.

### `UPGRADE`

Name in the Administration Console: Upgrade

Internal Coveo Platform resource types.

When added to your notifications, you'll be alerted when an internal resource has been upgraded.

## `ResourceTypes` array

An [activity](https://docs.coveo.com/en/173.md) _resource type_ identifies the [resource](https://docs.coveo.com/en/2820.md) from which an event originates.

In the `resourceTypes` array, enter the resources affected by the [operations](#operations-array) you selected.

**Example**

With the following configuration, you will be notified of any field or mapping deletion attempt, regardless of whether it's successful, aborted, or resulting in an error.

```json
{
  "content":{},
  "operations":[
    "DELETE"
  ],
  "resourceTypes":[
    "FIELD", "MAPPING"
  ],
  "resultTypes":[
    "*"
  ]
}
```
> **Note**
>
> To get the exhaustive list of resources available in your organization, you can access the [user notification panel](https://docs.coveo.com/en/1911.md#add-a-user-notification), which provides a dropdown menu containing this information.
>
> Alternatively, assuming you have developer skills, you can use the Activity API [`GET /rest/organizations/{organizationId}/activities/resourcetypes`](https://platform.cloud.coveo.com/docs?urls.primaryName=Activity#/Activities/rest_organizations_paramId_activities_resourcetypes_get) endpoint.
> Ensure that you're using an access token with the **Organization - Activities - View** privilege.
> For example:
>
> **Requesting a List of All Available Resources in an Organization**
>
> [.highlight]
> ```http
> GET https://platform.cloud.coveo.com/rest/organizations/myOrganizationId/activities/resourcetypes HTTP/1.1
>
> Authorization: Bearer **********-****-****-****-************
> ```
>
> [TIP]
> =====
> **Successful response - 200**
>
> [.highlight]
> ```json
> [
>   "SECURITY_PROVIDER",
>   "EXTENSION",
>   "ORGANIZATION",
>   "AGENT",
>   "GROUP",
>   "SEARCHAPI_ORGANIZATION",
>   "API_KEY",
>   "REPORTS",
>   "MAPPING",
>   "RULE",
>   "PIPELINE",
>   "EXPORTS",
>   "INDEX",
>   "CLUSTER",
>   "LICENSE",
>   "ENDPOINT_REFRESH",
>   "FIELD",
>   "NODE",
>   "SUBSCRIPTION",
>   "SECURITY_CACHE",
>   "MODEL",
>   "SWAP_PIPELINE",
>   "SEARCH_PAGE",
>   "SOURCE",
>   "CONDITION"
> ]
> ```
> =====

The following sections list the most common activity resource types along with their corresponding name in the [Coveo Administration Console](https://docs.coveo.com/en/183.md), a short description, and the activity operations they're typically associated with.

### `* (All Resource Types)`

Name in the Coveo Administration Console: All

`*` can refer to all resources and can be associated with any activity operation.

### `API_KEY`

Name in the Coveo Administration Console: API access

An API key in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, `ENABLE`, `DISABLE`, `LIMIT_REACHED`, and `UPDATE`.

### `CATALOG`

Name in the Coveo Administration Console: Catalog

A [catalog entity](https://docs.coveo.com/en/3143.md) in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `CONDITION`

Name in the Coveo Administration Console: Condition

A condition on a query pipeline in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `CRAWLING_MODULE`

Name in the Coveo Administration Console: Crawling Module

A Crawling Module component in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `CUSTOM_DIMENSIONS`

Name in the Coveo Administration Console: Custom dimensions

The custom [Coveo Analytics](https://docs.coveo.com/en/182.md) dimensions in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `EXPORTS`

Name in the Coveo Administration Console: Exports

The Coveo UA exports in a Coveo organization which are typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `EXPORT_SCHEDULES`

Name in the Coveo Administration Console: Export schedules

The Coveo UA export schedules in a Coveo organization which are typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `EXTENSION`

Name in the Coveo Administration Console: Extension

An [indexing pipeline extension (IPE)](https://docs.coveo.com/en/206.md) in a Coveo organization which is typically associated with the following operations: `APPLY`, `CREATE`, `DELETE`, `DISABLE`, `LIMIT_REACHED`, `TEST`, and `UPDATE`.

### `FIELD`

Name in the Coveo Administration Console: Field

A field in the index of a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, `UPDATE`, and `SYNCHRONIZE`.

### `GROUP`

Name in the Coveo Administration Console: Group

A group of users with certain [privileges](https://docs.coveo.com/en/228.md) in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `IN PRODUCT EXPERIENCE`

Name in the Coveo Administration Console: In-Product Experience

An In-Product Experience (IPX) interface in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `LICENSE`

Name in the Coveo Administration Console: License

The license of a Coveo organization which is typically associated with the `UPDATE` operation.

### `MAPPING`

Name in the Coveo Administration Console: Mapping

A [mapping](https://docs.coveo.com/en/217.md) on a source in a Coveo organization which is typically associated with the following operations: `LIMIT_REACHED` and `UPDATE`.

### `MODEL`

Name in the Coveo Administration Console: Model

A [Coveo Machine Learning (Coveo ML)](https://docs.coveo.com/en/188.md) model in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `NAMED_FILTERS`

Name in the Coveo Administration Console: Named filters

The Coveo UA named filters in a Coveo organization which are typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `ORGANIZATION`

Name in the Coveo Administration Console: Organization

A Coveo organization typically associated with the following operations: `BACKUP`, `CHANGE_READ_ONLY`, `CREATE`, `DELETE`, `DUPLICATE`, and `UPDATE`.

### `PERMISSION_FILTERS`

Name in the Coveo Administration Console: Permission filters

The Coveo UA permission filters in a Coveo organization which are typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `PIPELINE`

Name in the Coveo Administration Console: Pipeline

A query pipeline in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

> **Note**
>
> The `PIPELINE` resource type is intended to monitor the creation, deletion, or renaming of a specific query pipeline.
>
> To target modifications within a specific query pipeline (typically a [query pipeline statement](https://docs.coveo.com/en/236.md) change), use the [`RULE`](https://docs.coveo.com/en/1660.md#rule) resource type.

### `REPORTS`

Name in the Coveo Administration Console: Reports

The Coveo UA reports in a Coveo organization which are typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `RULE`

Name in the Coveo Administration Console: Rule

A [query pipeline statement](https://docs.coveo.com/en/236.md) in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `SAML_IDENTITY_PROVIDER`

Name in the Coveo Administration Console: SSO identity providers

A SAML 2.0 single sign-on provider in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `SEARCH_PAGE`

Name in the Coveo Administration Console: Search page

A hosted search page in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, and `UPDATE`.

### `SECURITY_CACHE`

Name in the Coveo Administration Console: Security identities

The [security identity cache](https://docs.coveo.com/en/241.md) of a Coveo organization which is typically associated with the following operations: `REFRESH`, `REFRESH_ENTITIES_IN_ERROR`, `SCHEDULE_CREATE`, and `SCHEDULE_DELETE`.

### `SECURITY_PROVIDER`

Name in the Coveo Administration Console: Identity provider

A [security identity provider](https://docs.coveo.com/en/242.md) in a Coveo organization which is typically associated with the following operations: `CONFIG_CHANGE`, `CREATE`, `DELETE`, `LIMIT_REACHED`, `REFRESH`, `REFRESH_ENTITY`, and `UPDATE`.

### `SOURCE`

Name in the Coveo Administration Console: Source

A source in a Coveo organization which is typically associated with the following operations: `CONFIG_CHANGE`, `CREATE`, `DELETE`, `FULL_REFRESH`, `INCREMENTAL_REFRESH`, `LIMIT_REACHED`, `ORG_PROVISIONING_CHECK`, `PAUSE`, `PAUSE_ON_ERROR`, `REBUILD`, `REFRESH_CANCEL`, `RESUME`, `SCHEDULE_CHANGE`, `SCHEDULE_CREATE`, `SCHEDULE_DELETE`, and `UPDATE`.

### `SUBSCRIPTION`

Name in the Coveo Administration Console: Subscription

A [subscription](https://docs.coveo.com/en/248.md) to certain activities in a Coveo organization which is typically associated with the following operations: `CREATE`, `DELETE`, `LIMIT_REACHED`, and `UPDATE`.

### `TEMPORARY_ACCESS`

Name in the Coveo Administration Console: Temporary access

A temporary access granted in a Coveo organization which is typically associated with the following operations: `CREATE` and `DEACTIVATE`.

### `TEMPORARY_ACCESS_REQUEST`

Name in the Coveo Administration Console: Temporary access request

A temporary access request in a Coveo organization which is typically associated with the following operations: `CREATE` and `UPDATE`.

## `ResultTypes` array

In the `resultTypes` array, enter the [operation](#operations-array) results of which you want to be notified.

The possible values are the following:

| Result type | Description |
|---|---|
| * | All |
| ABORT | Aborted |
| ERROR | Failed |
| SUCCESS | Successful |

**Example**

With the following configuration, you receive a notification for any unsuccessful [source update](https://docs.coveo.com/en/2039.md).

```json
{
  "content":{},
  "operations":[
    "REFRESH", "FULL_REFRESH", "REBUILD"
  ],
  "resourceTypes":[
    "SOURCE"
  ],
  "resultTypes":[
    "ABORT", "ERROR"
  ]
}
```